MessageSigner (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.crypto

## Interface MessageSigner

- All Known Subinterfaces:
    StateAwareMessageSigner
  All Known Implementing Classes:
    AIMerSigner, DilithiumSigner, FaestSigner, FalconSigner, HAETAESigner, HawkSigner, HSSSigner, LMSSigner, MayoSigner, MQOMSigner, QRUOVSigner, SDitHSigner, SLHDSASigner, SLHDSASigner, SnovaSigner, SPHINCS256Signer, SQIsignSigner, UOVSigner, XMSSMTSigner, XMSSSigner

      public interface MessageSigner

  Base interface for a PQC signing algorithm.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `generateSignature(byte[] message)` sign the passed in message (usually the output of a hash function).
    `void` | `init(boolean forSigning, CipherParameters param)` initialise the signer for signature generation or signature verification.
    `boolean` | `verifySignature(byte[] message, byte[] signature)` verify the message message against the signature value.

- - ### Method Detail

    - #### init

          void init(boolean forSigning,
                    CipherParameters param)

      initialise the signer for signature generation or signature verification.
      Parameters:
        `forSigning` - true if we are generating a signature, false otherwise.
        `param` - key parameters for signature generation.

    - #### generateSignature

          byte[] generateSignature(byte[] message)

      sign the passed in message (usually the output of a hash function).
      Parameters:
        `message` - the message to be signed.
      Returns:
        the signature of the message

    - #### verifySignature

          boolean verifySignature(byte[] message,
                                  byte[] signature)

      verify the message message against the signature value.
      Parameters:
        `message` - the message that was supposed to have been signed.
        `signature` - the signature of the message